org.richfaces.resource.optimizer.task

## Class ResourceTaskFactoryImpl

- java.lang.Object
- - org.richfaces.resource.optimizer.task.ResourceTaskFactoryImpl

- All Implemented Interfaces:
    ResourceTaskFactory

      public class ResourceTaskFactoryImpl
      extends Object
      implements ResourceTaskFactory

  Author:
    Nick Belaevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceTaskFactoryImpl(Faces faces, String packName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setCompletionService(CompletionService<Object> completionService)`
    `void` | `setFilter(com.google.common.base.Predicate<javax.faces.application.Resource> filter)`
    `void` | `setLog(Logger log)`
    `void` | `setResourceWriter(ResourceWriter resourceWriter)`
    `void` | `setSkins(String[] skins)`
    `void` | `submit(Iterable<ResourceKey> locators)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceTaskFactoryImpl

          public ResourceTaskFactoryImpl(Faces faces,
                                         String packName)

  - ### Method Detail

    - #### setLog

          public void setLog(Logger log)

    - #### setResourceWriter

          public void setResourceWriter(ResourceWriter resourceWriter)

      Specified by:
        `setResourceWriter` in interface `ResourceTaskFactory`

    - #### setSkins

          public void setSkins(String[] skins)

      Specified by:
        `setSkins` in interface `ResourceTaskFactory`

    - #### setCompletionService

          public void setCompletionService(CompletionService<Object> completionService)

      Specified by:
        `setCompletionService` in interface `ResourceTaskFactory`

    - #### setFilter

          public void setFilter(com.google.common.base.Predicate<javax.faces.application.Resource> filter)

      Specified by:
        `setFilter` in interface `ResourceTaskFactory`

    - #### submit

          public void submit(Iterable<ResourceKey> locators)

      Specified by:
        `submit` in interface `ResourceTaskFactory`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.